gis-export-image-fails-firefox

Bug #568385 reported by jason.p.pickering on 2010-04-22
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
DHIS
Undecided
Tri Tran Thanh

Bug Description

Using rev 1799, exports of images from the GIS client (after pressing export map as image then right-clicking on the image to save it to disk) fails with Firefox 3.0.19. Opera 10.10 on Ubuntu successfully exports the image as a PNG, but there is no background. Trying to copy and paste the image with FireFox into a word document, results in the image with a black background.

Changed in dhis2:
status: New → Confirmed
Changed in dhis2:
assignee: nobody → Tran Thanh Tri (tranthanhtri84)
Tri Tran Thanh (tranthanhtri84) wrote :

I fixed this bug, now you have 2 chooses: export image to png-transparent background and jpeg-white backgound

Changed in dhis2:
status: Confirmed → Fix Committed

This still only works with Opera. In FF and Chrome the picture is rendered
in the browser, but after saving the picture to disk it cannot be opened.
IE8 does not produce any picture at all.

On Tue, Apr 27, 2010 at 7:34 AM, Tran Thanh Tri <email address hidden>wrote:

> I fixed this bug, now you have 2 chooses: export image to png-
> transparent background and jpeg-white backgound
>
> ** Changed in: dhis2
> Status: Confirmed => Fix Committed
>
> --
> gis-export-image-fails-firefox
> https://bugs.launchpad.net/bugs/568385
> You received this bug notification because you are a member of DHIS 2
> developers, which is subscribed to DHIS.
>
> Status in DHIS 2 - District Health Information Software: Fix Committed
>
> Bug description:
> Using rev 1799, exports of images from the GIS client (after pressing
> export map as image then right-clicking on the image to save it to disk)
> fails with Firefox 3.0.19. Opera 10.10 on Ubuntu successfully exports the
> image as a PNG, but there is no background. Trying to copy and paste the
> image with FireFox into a word document, results in the image with a black
> background.
>
>
>
> _______________________________________________
> Mailing list: https://launchpad.net/~dhis2-devs<https://launchpad.net/%7Edhis2-devs>
> Post to : <email address hidden>
> Unsubscribe : https://launchpad.net/~dhis2-devs<https://launchpad.net/%7Edhis2-devs>
> More help : https://help.launchpad.net/ListHelp
>

Tri, can you please have a further look at this as it only works in one our
four supported browsers?

2010/4/27 Jan Henrik Øverland <email address hidden>

> This still only works with Opera. In FF and Chrome the picture is rendered
> in the browser, but after saving the picture to disk it cannot be opened.
> IE8 does not produce any picture at all.
>
>
> On Tue, Apr 27, 2010 at 7:34 AM, Tran Thanh Tri <email address hidden>wrote:
>
>> I fixed this bug, now you have 2 chooses: export image to png-
>> transparent background and jpeg-white backgound
>>
>> ** Changed in: dhis2
>> Status: Confirmed => Fix Committed
>>
>> --
>> gis-export-image-fails-firefox
>> https://bugs.launchpad.net/bugs/568385
>> You received this bug notification because you are a member of DHIS 2
>> developers, which is subscribed to DHIS.
>>
>> Status in DHIS 2 - District Health Information Software: Fix Committed
>>
>> Bug description:
>> Using rev 1799, exports of images from the GIS client (after pressing
>> export map as image then right-clicking on the image to save it to disk)
>> fails with Firefox 3.0.19. Opera 10.10 on Ubuntu successfully exports the
>> image as a PNG, but there is no background. Trying to copy and paste the
>> image with FireFox into a word document, results in the image with a black
>> background.
>>
>>
>>
>> _______________________________________________
>> Mailing list: https://launchpad.net/~dhis2-devs<https://launchpad.net/%7Edhis2-devs>
>> Post to : <email address hidden>
>> Unsubscribe : https://launchpad.net/~dhis2-devs<https://launchpad.net/%7Edhis2-devs>
>> More help : https://help.launchpad.net/ListHelp
>>
>
>

Changed in dhis2:
status: Fix Committed → In Progress
Changed in dhis2:
milestone: none → 2.0.5
status: In Progress → Triaged
Tri Tran Thanh (tranthanhtri84) wrote :

I don't know how, but when i use FF , when submit the exportForm, some
properties in action class not have value (null) but in Shrome that is
ok.When export image in web page, right click and save to image, nothing to
save and couldn't find the image file.
Who can expand more ?
================================
Tran Thanh Tri
 HISP Viet Nam
 Cell phone: +84903670967
 Website: http://tringuyenvn.com
================================

2010/4/27 Jan Henrik Øverland <email address hidden>

> This still only works with Opera. In FF and Chrome the picture is rendered
> in the browser, but after saving the picture to disk it cannot be opened.
> IE8 does not produce any picture at all.
>
> On Tue, Apr 27, 2010 at 7:34 AM, Tran Thanh Tri <<email address hidden>
> > wrote:
>
>> I fixed this bug, now you have 2 chooses: export image to png-
>> transparent background and jpeg-white backgound
>>
>> ** Changed in: dhis2
>> Status: Confirmed => Fix Committed
>>
>> --
>> gis-export-image-fails-firefox
>> https://bugs.launchpad.net/bugs/568385
>> You received this bug notification because you are a member of DHIS 2
>> developers, which is subscribed to DHIS.
>>
>> Status in DHIS 2 - District Health Information Software: Fix Committed
>>
>> Bug description:
>> Using rev 1799, exports of images from the GIS client (after pressing
>> export map as image then right-clicking on the image to save it to disk)
>> fails with Firefox 3.0.19. Opera 10.10 on Ubuntu successfully exports the
>> image as a PNG, but there is no background. Trying to copy and paste the
>> image with FireFox into a word document, results in the image with a black
>> background.
>>
>>
>>
>> _______________________________________________
>> Mailing list: https://launchpad.net/~dhis2-devs<https://launchpad.net/%7Edhis2-devs>
>> Post to : <email address hidden>
>> Unsubscribe : https://launchpad.net/~dhis2-devs<https://launchpad.net/%7Edhis2-devs>
>> More help : https://help.launchpad.net/ListHelp
>>
>
>

Changed in dhis2:
status: Triaged → Fix Committed
Download full text (9.4 KiB)

This seems to be back. On revision 2977. Empty image on both FF and Chrome.

* INFO 03:29:07,652 Export map from request (ExportImageAction.java [ajp-8009-3])
* ERROR 03:29:07,686 Error while executing action (ExceptionInterceptor.java [ajp-8009-3])
java.lang.reflect.InvocationTargetException
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
        at java.lang.reflect.Method.invoke(Method.java:616)
        at com.opensymphony.xwork2.DefaultActionInvocation.invokeAction(DefaultActionInvocation.java:441)
        at com.opensymphony.xwork2.DefaultActionInvocation.invokeActionOnly(DefaultActionInvocation.java:280)
        at com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:243)
        at org.hisp.dhis.webportal.interceptor.XWorkPortalUserInterceptor.intercept(XWorkPortalUserInterceptor.java:82)
        at com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:237)
        at org.hisp.dhis.webportal.interceptor.XWorkPortalModuleInterceptor.intercept(XWorkPortalModuleInterceptor.java:85)
        at com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:237)
        at org.hisp.dhis.webportal.interceptor.XWorkPortalMenuInterceptor.intercept(XWorkPortalMenuInterceptor.java:91)
        at com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:237)
        at org.hisp.dhis.webportal.interceptor.XWorkPortalParamsInterceptor.intercept(XWorkPortalParamsInterceptor.java:117)
        at com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:237)
        at org.hisp.dhis.interceptor.ContextInterceptor.intercept(ContextInterceptor.java:70)
        at com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:237)
        at org.hisp.dhis.interceptor.StyleInterceptor.intercept(StyleInterceptor.java:107)
        at com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:237)
        at org.hisp.dhis.interceptor.SystemSettingInterceptor.intercept(SystemSettingInterceptor.java:94)
        at com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:237)
        at org.hisp.dhis.interceptor.DisplayPropertyInterceptor.intercept(DisplayPropertyInterceptor.java:90)
        at com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:237)
        at org.hisp.dhis.interceptor.SortOrderInterceptor.intercept(SortOrderInterceptor.java:124)
        at com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:237)
        at org.hisp.dhis.security.intercept.XWorkSecurityInterceptor.intercept(XWorkSecurityInterceptor.java:98)
        at com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:237)
        at org.hisp.dhis.interceptor.I18nInterceptor.intercept(I18nInterceptor.java:141)
        at com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultAction...

Read more...

Changed in dhis2:
status: Fix Committed → Incomplete
Download full text (10.6 KiB)

Hm, really can't reproduce this. Rev 3275. Tested:

- FF4 and Chrome
- W7 and Ubuntu 10.10
- KE and SL dbs

On Sat, Apr 2, 2011 at 05:31, jason.p.pickering
<email address hidden>wrote:

> This seems to be back. On revision 2977. Empty image on both FF and
> Chrome.
>
>
> * INFO 03:29:07,652 Export map from request (ExportImageAction.java
> [ajp-8009-3])
> * ERROR 03:29:07,686 Error while executing action
> (ExceptionInterceptor.java [ajp-8009-3])
> java.lang.reflect.InvocationTargetException
> at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
> at
> sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
> at
> sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
> at java.lang.reflect.Method.invoke(Method.java:616)
> at
> com.opensymphony.xwork2.DefaultActionInvocation.invokeAction(DefaultActionInvocation.java:441)
> at
> com.opensymphony.xwork2.DefaultActionInvocation.invokeActionOnly(DefaultActionInvocation.java:280)
> at
> com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:243)
> at
> org.hisp.dhis.webportal.interceptor.XWorkPortalUserInterceptor.intercept(XWorkPortalUserInterceptor.java:82)
> at
> com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:237)
> at
> org.hisp.dhis.webportal.interceptor.XWorkPortalModuleInterceptor.intercept(XWorkPortalModuleInterceptor.java:85)
> at
> com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:237)
> at
> org.hisp.dhis.webportal.interceptor.XWorkPortalMenuInterceptor.intercept(XWorkPortalMenuInterceptor.java:91)
> at
> com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:237)
> at
> org.hisp.dhis.webportal.interceptor.XWorkPortalParamsInterceptor.intercept(XWorkPortalParamsInterceptor.java:117)
> at
> com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:237)
> at
> org.hisp.dhis.interceptor.ContextInterceptor.intercept(ContextInterceptor.java:70)
> at
> com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:237)
> at
> org.hisp.dhis.interceptor.StyleInterceptor.intercept(StyleInterceptor.java:107)
> at
> com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:237)
> at
> org.hisp.dhis.interceptor.SystemSettingInterceptor.intercept(SystemSettingInterceptor.java:94)
> at
> com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:237)
> at
> org.hisp.dhis.interceptor.DisplayPropertyInterceptor.intercept(DisplayPropertyInterceptor.java:90)
> at
> com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:237)
> at
> org.hisp.dhis.interceptor.SortOrderInterceptor.intercept(SortOrderInterceptor.java:124)
> at
> com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:237)
> at
> org.hisp.dhis.security.intercept.XWorkSecurityInterceptor.intercept(XWorkSecurityIntercep...

Tri Tran Thanh (tranthanhtri84) wrote :
Download full text (11.6 KiB)

Can you check ajax request when export map? May be content of svg is null. Js can not get content of svg?

Sent from my HTC Desize HD

----- Reply message -----
From: "Jan Henrik Øverland" <email address hidden>
To: <email address hidden>
Subject: [Bug 568385] Re: gis-export-image-fails-firefox
Date: Mon, Apr 4, 2011 11:27 pm

Hm, really can't reproduce this. Rev 3275. Tested:

- FF4 and Chrome
- W7 and Ubuntu 10.10
- KE and SL dbs

On Sat, Apr 2, 2011 at 05:31, jason.p.pickering
<email address hidden>wrote:

> This seems to be back. On revision 2977. Empty image on both FF and
> Chrome.
>
>
> * INFO 03:29:07,652 Export map from request (ExportImageAction.java
> [ajp-8009-3])
> * ERROR 03:29:07,686 Error while executing action
> (ExceptionInterceptor.java [ajp-8009-3])
> java.lang.reflect.InvocationTargetException
> at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
> at
> sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
> at
> sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
> at java.lang.reflect.Method.invoke(Method.java:616)
> at
> com.opensymphony.xwork2.DefaultActionInvocation.invokeAction(DefaultActionInvocation.java:441)
> at
> com.opensymphony.xwork2.DefaultActionInvocation.invokeActionOnly(DefaultActionInvocation.java:280)
> at
> com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:243)
> at
> org.hisp.dhis.webportal.interceptor.XWorkPortalUserInterceptor.intercept(XWorkPortalUserInterceptor.java:82)
> at
> com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:237)
> at
> org.hisp.dhis.webportal.interceptor.XWorkPortalModuleInterceptor.intercept(XWorkPortalModuleInterceptor.java:85)
> at
> com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:237)
> at
> org.hisp.dhis.webportal.interceptor.XWorkPortalMenuInterceptor.intercept(XWorkPortalMenuInterceptor.java:91)
> at
> com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:237)
> at
> org.hisp.dhis.webportal.interceptor.XWorkPortalParamsInterceptor.intercept(XWorkPortalParamsInterceptor.java:117)
> at
> com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:237)
> at
> org.hisp.dhis.interceptor.ContextInterceptor.intercept(ContextInterceptor.java:70)
> at
> com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:237)
> at
> org.hisp.dhis.interceptor.StyleInterceptor.intercept(StyleInterceptor.java:107)
> at
> com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:237)
> at
> org.hisp.dhis.interceptor.SystemSettingInterceptor.intercept(SystemSettingInterceptor.java:94)
> at
> com.opensymphony.xwork2.DefaultActionInvocation.invoke(DefaultActionInvocation.java:237)
> at
> org.hisp.dhis.interceptor.DisplayPropertyInterceptor.intercept(DisplayPropertyInterceptor.java:90)
> at
> com.opensymphony.xwork2.DefaultActionInvocation.invoke(...

Download full text (138.2 KiB)

Hi Jan and Tri

I agree that it works with 3275. However, I cannot upgrade to trunk at
the moment.

Here is the post. It does not seem to be empty. The same error results
immediately on the server side.

Request URL:http://dhis.co.zm/dhis/dhis-web-mapping/exportImage.action
Request Headers
Accept:application/xml,application/xhtml+xml,text/html;q=0.9,text/plain;q=0.8,image/png,*/*;q=0.5
Content-Type:application/x-www-form-urlencoded
Origin:http://dhis.co.zm
Referer:http://dhis.co.zm/dhis/dhis-web-mapping/mapping/index.html
User-Agent:Mozilla/5.0 (Windows; U; Windows NT 6.1; en-US)
AppleWebKit/534.16 (KHTML, like Gecko) Chrome/10.0.648.204
Safari/534.16
Form Data
title:Test666
viewBox:
layer:1
imageLegendRows:
svg:<svg id="OpenLayers.Layer.Vector_18_svgRoot" width="1190"
height="657" viewBox="0 0 1190 657"><g
id="OpenLayers.Layer.Vector_18_root" style="opacity: 0.8; display:
block; visibility: visible; " transform=""><g
id="OpenLayers.Layer.Vector_18_vroot"><path
id="OpenLayers.Geometry.Polygon_269" d=" M
620.6682666676796,471.9679418251479
623.3625244455876,467.44660726976844
620.9777422232518,465.788384148429 621.5011200010734,464.3057068608669
625.8792888901279,462.26918273446944
629.0332088902538,455.63694484084573
632.6877511125991,455.5706931898689
635.5412977793934,458.4767354375451
644.2066133352995,457.6341756183693
640.7523200018419,462.13185159397216
638.9773866684105,483.4755126070682
635.4821333349513,486.32379013042856
619.5486933343151,491.89473711468264
614.8564977785678,484.2966752076839
607.9479111116115,481.7100241972566
606.5962311115576,475.9555502200354
620.6682666676796,471.9679418251479 z" fill-rule="evenodd"
fill="#FF0000" fill-opacity="1" stroke="#222222" stroke-opacity="1"
stroke-width="1" stroke-linecap="round" stroke-linejoin="round"
stroke-dasharray="none" pointer-events="visiblePainted"
cursor="inherit"></path><path id="OpenLayers.Geometry.Polygon_295" d="
M 623.0348444455745,307.58211089032017
622.4158933344294,306.16366075665377
622.9483733344508,305.9303793206538
628.1821511124193,314.0933085004031
630.7671822236429,310.64822543343433
630.971982223651,313.31830988701535
634.2305777793412,313.30897286741384
634.3033955571037,318.03912982023377
637.3298844461452,319.82336091366216
638.171840001739,322.82728237872067
637.0204088905726,323.33657832879493
632.979022223731,325.41604806679396
630.9446755569696,322.83662705572834
628.214008890221,326.94434802806364
625.4014222234285,323.8879516372792
626.0749866678954,318.53887368110446
624.4092800011896,317.03503660122277
622.0927644455368,319.8794145084482
620.695573334361,316.36724586360623
617.6053688897977,314.8263364099228
623.0348444455745,307.58211089032017 z" fill-rule="evenodd"
fill="#FF3F00" fill-opacity="1" stroke="#222222" stroke-opacity="1"
stroke-width="1" stroke-linecap="round" stroke-linejoin="round"
stroke-dasharray="none" pointer-events="visiblePainted"
cursor="inherit"></path><path id="OpenLayers.Geometry.Polygon_342" d="
M 595.482417777794,423.9638082504146
601.0120177780149,426.7896184253073
602.1406933336201,425.1430967865671
612.0530133340159,428.36562951033585
611.3202844451067,432.2689935186758
613.8552533340877,440.45836820263736
614.10101333...

Download full text (145.7 KiB)

Ok, let me check out 2977 and have a look.

On Tue, Apr 5, 2011 at 05:28, jason.p.pickering
<email address hidden>wrote:

> Hi Jan and Tri
>
> I agree that it works with 3275. However, I cannot upgrade to trunk at
> the moment.
>
> Here is the post. It does not seem to be empty. The same error results
> immediately on the server side.
>
> Request URL:http://dhis.co.zm/dhis/dhis-web-mapping/exportImage.action
> Request Headers
>
> Accept:application/xml,application/xhtml+xml,text/html;q=0.9,text/plain;q=0.8,image/png,*/*;q=0.5
> Content-Type:application/x-www-form-urlencoded
> Origin:http://dhis.co.zm
> Referer:http://dhis.co.zm/dhis/dhis-web-mapping/mapping/index.html
> User-Agent:Mozilla/5.0 (Windows; U; Windows NT 6.1; en-US)
> AppleWebKit/534.16 (KHTML, like Gecko) Chrome/10.0.648.204
> Safari/534.16
> Form Data
> title:Test666
> viewBox:
> layer:1
> imageLegendRows:
> svg:<svg id="OpenLayers.Layer.Vector_18_svgRoot" width="1190"
> height="657" viewBox="0 0 1190 657"><g
> id="OpenLayers.Layer.Vector_18_root" style="opacity: 0.8; display:
> block; visibility: visible; " transform=""><g
> id="OpenLayers.Layer.Vector_18_vroot"><path
> id="OpenLayers.Geometry.Polygon_269" d=" M
> 620.6682666676796,471.9679418251479
> 623.3625244455876,467.44660726976844
> 620.9777422232518,465.788384148429 621.5011200010734,464.3057068608669
> 625.8792888901279,462.26918273446944
> 629.0332088902538,455.63694484084573
> 632.6877511125991,455.5706931898689
> 635.5412977793934,458.4767354375451
> 644.2066133352995,457.6341756183693
> 640.7523200018419,462.13185159397216
> 638.9773866684105,483.4755126070682
> 635.4821333349513,486.32379013042856
> 619.5486933343151,491.89473711468264
> 614.8564977785678,484.2966752076839
> 607.9479111116115,481.7100241972566
> 606.5962311115576,475.9555502200354
> 620.6682666676796,471.9679418251479 z" fill-rule="evenodd"
> fill="#FF0000" fill-opacity="1" stroke="#222222" stroke-opacity="1"
> stroke-width="1" stroke-linecap="round" stroke-linejoin="round"
> stroke-dasharray="none" pointer-events="visiblePainted"
> cursor="inherit"></path><path id="OpenLayers.Geometry.Polygon_295" d="
> M 623.0348444455745,307.58211089032017
> 622.4158933344294,306.16366075665377
> 622.9483733344508,305.9303793206538
> 628.1821511124193,314.0933085004031
> 630.7671822236429,310.64822543343433
> 630.971982223651,313.31830988701535
> 634.2305777793412,313.30897286741384
> 634.3033955571037,318.03912982023377
> 637.3298844461452,319.82336091366216
> 638.171840001739,322.82728237872067
> 637.0204088905726,323.33657832879493
> 632.979022223731,325.41604806679396
> 630.9446755569696,322.83662705572834
> 628.214008890221,326.94434802806364
> 625.4014222234285,323.8879516372792
> 626.0749866678954,318.53887368110446
> 624.4092800011896,317.03503660122277
> 622.0927644455368,319.8794145084482
> 620.695573334361,316.36724586360623
> 617.6053688897977,314.8263364099228
> 623.0348444455745,307.58211089032017 z" fill-rule="evenodd"
> fill="#FF3F00" fill-opacity="1" stroke="#222222" stroke-opacity="1"
> stroke-width="1" stroke-linecap="round" stroke-linejoin="round"
> stroke-dasharray="none" pointer-events="visiblePainted"
> cursor="inherit"></path><path ...

LinkedIn
------------

Bug,

I'd like to add you to my professional network on LinkedIn.

- Tri

Tri Tran Thanh
Developer at Officience
Vietnam

Confirm that you know Tri Tran Thanh:
https://www.linkedin.com/e/sz0blz-h0dpad2i-3s/isd/6479541619/H7meTG9s/?hs=false&tok=1bsK_IqTgs0lc1

--
You are receiving Invitation to Connect emails. Click to unsubscribe:
http://www.linkedin.com/e/sz0blz-h0dpad2i-3s/Isyxye6K5Q3FKv75wmR4MUTKL-cuVBXW9f-5emX/goo/568385%40bugs%2Elaunchpad%2Enet/20061/I2247949062_1/?hs=false&tok=1C1JLnFo4s0lc1

(c) 2012 LinkedIn Corporation. 2029 Stierlin Ct, Mountain View, CA 94043, USA.

LinkedIn
------------

Bug,

I'd like to add you to my professional network on LinkedIn.

- Tri

Tri Tran Thanh
Developer at Officience
Vietnam

Confirm that you know Tri Tran Thanh:
https://www.linkedin.com/e/sz0blz-hlde23n2-1r/isd/16396468276/p-TN3C26/?hs=false&tok=0c8ignJczQDRU1

--
You are receiving Invitation to Connect emails. Click to unsubscribe:
http://www.linkedin.com/e/sz0blz-hlde23n2-1r/Isyxye6K5Q3FKv75wmR4MUTKL-cuVBXW9f-5emX/goo/568385%40bugs%2Elaunchpad%2Enet/20061/I5452614379_1/?hs=false&tok=0520DzOnTQDRU1

(c) 2012 LinkedIn Corporation. 2029 Stierlin Ct, Mountain View, CA 94043, USA.

LinkedIn
------------

Bug,

I'd like to add you to my professional network on LinkedIn.

- Tri

Tri Tran Thanh
Developer at Officience
Vietnam

Confirm that you know Tri Tran Thanh:
https://www.linkedin.com/e/sz0blz-hm8y9npn-61/isd/16396468276/p-TN3C26/?hs=false&tok=2oz0YBKogO75Y1

--
You are receiving Invitation to Connect emails. Click to unsubscribe:
http://www.linkedin.com/e/sz0blz-hm8y9npn-61/Isyxye6K5Q3FKv75wmR4MUTKL-cuVBXW9f-5emX/goo/568385%40bugs%2Elaunchpad%2Enet/20061/I5640017596_1/?hs=false&tok=3P8Eif5rsO75Y1

(c) 2012 LinkedIn Corporation. 2029 Stierlin Ct, Mountain View, CA 94043, USA.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers